import numpy as np
from skimage.color import rgb2gray
from skimage.exposure import match_histograms
from skimage.metrics import structural_similarity


def find_diference (image1, image2):
    assert image1.shape == image2.shape, "Please use Diferents Images"
    image1_cinza = rgb2gray(image1)
    image2_cinza = rgb2gray(image2)
    (score,diference_image) = structural_similarity(image1_cinza, image2_cinza, full= True)
    print("similarity of the two images is: "(score))
    normalized_image_diference = (diference_image(diference_image-np.min(diference_image))/(np.max(diference_image)-np.min(diference_image)))
    return normalized_image_diference

def match_histogram (image1, image2):
    matched_images = match_histograms(image1, image2, multichanel = True)
    return matched_images